/[gentoo-x86]/eclass/php-ext-source-r2.eclass
Gentoo

Log of /eclass/php-ext-source-r2.eclass

Parent Directory Parent Directory | Revision Log Revision Log


Links to HEAD: (view) (download) (annotate)

Revision 1.33 - (view) (download) (annotate) - [select for diffs]
Sat Jun 1 18:51:57 2013 UTC (13 months, 3 weeks ago) by robbat2
Branch: MAIN
CVS Tags: HEAD
Changes since 1.32: +3 -3 lines
Diff to previous 1.32 , to selected 1.30
Fix REQUIRED_USE with PHP_EXT_OPTIONAL_USE set. Fixes REQUIRED_USE unsatisfied constraints triggered by "USE=-php PHP_TARGETS= emerge media-libs/ming".


Revision 1.32 - (view) (download) (annotate) - [select for diffs]
Sun Apr 14 06:54:43 2013 UTC (15 months, 1 week ago) by olemarkus
Branch: MAIN
Changes since 1.31: +6 -5 lines
Diff to previous 1.31 , to selected 1.30
Remove support for EAPI 2 and 3 for php-ext-source-r2. Use REQUIRED_USE for target depends


Revision 1.31 - (view) (download) (annotate) - [select for diffs]
Mon Apr 8 08:11:29 2013 UTC (15 months, 2 weeks ago) by olemarkus
Branch: MAIN
Changes since 1.30: +3 -7 lines
Diff to previous 1.30
Fix for installing ini files in the tree. Bug 464900


Revision 1.30 - (view) (download) (annotate) - [selected]
Thu Sep 27 16:35:41 2012 UTC (21 months, 3 weeks ago) by axs
Branch: MAIN
Changes since 1.29: +2 -2 lines
Diff to previous 1.29
naive bump of all EAPI-specific checks in eclasses to permit EAPI=5 where EAPI=4 was previously allowed


Revision 1.29 - (view) (download) (annotate) - [select for diffs]
Wed Aug 22 15:06:20 2012 UTC (23 months ago) by olemarkus
Branch: MAIN
Changes since 1.28: +4 -1 lines
Diff to previous 1.28 , to selected 1.30
Adding more addpredicts, bug 432248


Revision 1.28 - (view) (download) (annotate) - [select for diffs]
Wed Aug 1 10:55:29 2012 UTC (23 months, 3 weeks ago) by olemarkus
Branch: MAIN
Changes since 1.27: +2 -2 lines
Diff to previous 1.27 , to selected 1.30
Typo. Bug 426288


Revision 1.27 - (view) (download) (annotate) - [select for diffs]
Fri Jun 22 20:05:24 2012 UTC (2 years, 1 month ago) by olemarkus
Branch: MAIN
Changes since 1.26: +2 -2 lines
Diff to previous 1.26 , to selected 1.30
Install ini files for embed SAPI too


Revision 1.26 - (view) (download) (annotate) - [select for diffs]
Sat Jun 2 19:16:31 2012 UTC (2 years, 1 month ago) by zmedico
Branch: MAIN
Changes since 1.25: +2 -2 lines
Diff to previous 1.25 , to selected 1.30
inherit multilib for get_libdir


Revision 1.25 - (view) (download) (annotate) - [select for diffs]
Thu Feb 16 11:25:38 2012 UTC (2 years, 5 months ago) by olemarkus
Branch: MAIN
Changes since 1.24: +2 -2 lines
Diff to previous 1.24 , to selected 1.30
Add error message when copying source fails


Revision 1.24 - (view) (download) (annotate) - [select for diffs]
Thu Jan 19 10:12:44 2012 UTC (2 years, 6 months ago) by mabi
Branch: MAIN
Changes since 1.23: +4 -1 lines
Diff to previous 1.23 , to selected 1.30
Added addpredict to php-ext-source-r2.eclass (bug #385403)


Revision 1.23 - (view) (download) (annotate) - [select for diffs]
Sun Jan 15 17:18:48 2012 UTC (2 years, 6 months ago) by olemarkus
Branch: MAIN
Changes since 1.22: +2 -2 lines
Diff to previous 1.22 , to selected 1.30
Remove php5-2 from defauly USE_PHP


Revision 1.22 - (view) (download) (annotate) - [select for diffs]
Fri Jan 13 23:25:40 2012 UTC (2 years, 6 months ago) by mabi
Branch: MAIN
Changes since 1.21: +7 -8 lines
Diff to previous 1.21 , to selected 1.30
Uncomment DEPEND for php-ext-source-r2.eclass, but w/o the SELFDEPEND that breaks pecl ebuilds (bug #398553)


Revision 1.21 - (view) (download) (annotate) - [select for diffs]
Fri Jan 13 05:38:42 2012 UTC (2 years, 6 months ago) by olemarkus
Branch: MAIN
Changes since 1.20: +7 -7 lines
Diff to previous 1.20 , to selected 1.30
Remove DEPEND string from php-ext-source-r2


Revision 1.20 - (view) (download) (annotate) - [select for diffs]
Thu Jan 12 11:10:47 2012 UTC (2 years, 6 months ago) by olemarkus
Branch: MAIN
Changes since 1.19: +6 -2 lines
Diff to previous 1.19 , to selected 1.30
Fixed a dependency issue where php would be pulled in for e.g ming even without php USE flag being set (bug 398649)


Revision 1.19 - (view) (download) (annotate) - [select for diffs]
Wed Jan 11 18:30:36 2012 UTC (2 years, 6 months ago) by olemarkus
Branch: MAIN
Changes since 1.18: +3 -1 lines
Diff to previous 1.18 , to selected 1.30
Added php to DEPEND (bug 398553)


Revision 1.18 - (view) (download) (annotate) - [select for diffs]
Thu Nov 24 00:04:39 2011 UTC (2 years, 8 months ago) by vapier
Branch: MAIN
Changes since 1.17: +1 -8 lines
Diff to previous 1.17 , to selected 1.30
delete duplicate PHP_EXT_NAME block (same thing appears a few lines below)


Revision 1.17 - (view) (download) (annotate) - [select for diffs]
Fri Sep 9 14:39:39 2011 UTC (2 years, 10 months ago) by olemarkus
Branch: MAIN
Changes since 1.16: +2 -2 lines
Diff to previous 1.16 , to selected 1.30
Add support for eapi 4


Revision 1.16 - (view) (download) (annotate) - [select for diffs]
Mon Aug 29 01:28:10 2011 UTC (2 years, 10 months ago) by vapier
Branch: MAIN
Changes since 1.15: +3 -5 lines
Diff to previous 1.15 , to selected 1.30
trim useless trailing whitespace


Revision 1.15 - (view) (download) (annotate) - [select for diffs]
Mon Aug 22 04:46:32 2011 UTC (2 years, 11 months ago) by vapier
Branch: MAIN
Changes since 1.14: +10 -10 lines
Diff to previous 1.14 , to selected 1.30
fix random bugs in eclass documentation, and convert to new @AUTHOR tag


Revision 1.14 - (view) (download) (annotate) - [select for diffs]
Fri Aug 19 09:15:51 2011 UTC (2 years, 11 months ago) by olemarkus
Branch: MAIN
Changes since 1.13: +3 -5 lines
Diff to previous 1.13 , to selected 1.30
Pecl ebuilds now also install headers for the extensions


Revision 1.13 - (view) (download) (annotate) - [select for diffs]
Mon Aug 15 12:48:27 2011 UTC (2 years, 11 months ago) by olemarkus
Branch: MAIN
Changes since 1.12: +15 -13 lines
Diff to previous 1.12 , to selected 1.30
Fixed a bug with ini files and multiple slots (bug 379127)


Revision 1.12 - (view) (download) (annotate) - [select for diffs]
Fri Jul 22 12:13:27 2011 UTC (3 years ago) by olemarkus
Branch: MAIN
Changes since 1.11: +18 -2 lines
Diff to previous 1.11 , to selected 1.30
Fixed a few bugs and added support for supplying custom ini files


Revision 1.11 - (view) (download) (annotate) - [select for diffs]
Fri Jul 22 09:19:15 2011 UTC (3 years ago) by olemarkus
Branch: MAIN
Changes since 1.10: +1 -2 lines
Diff to previous 1.10 , to selected 1.30
Fixed a bug causing bogus ini files to be installed


Revision 1.10 - (view) (download) (annotate) - [select for diffs]
Wed Jun 29 07:04:43 2011 UTC (3 years ago) by olemarkus
Branch: MAIN
Changes since 1.9: +2 -2 lines
Diff to previous 1.9 , to selected 1.30
Removed 5.4 and 5.5 from default USE_PHP


Revision 1.9 - (view) (download) (annotate) - [select for diffs]
Sun May 22 07:18:44 2011 UTC (3 years, 2 months ago) by olemarkus
Branch: MAIN
Changes since 1.8: +2 -2 lines
Diff to previous 1.8 , to selected 1.30
Added 5.4 and 5.5 to PHP_USE


Revision 1.8 - (view) (download) (annotate) - [select for diffs]
Mon Jan 10 11:25:21 2011 UTC (3 years, 6 months ago) by olemarkus
Branch: MAIN
Changes since 1.7: +13 -5 lines
Diff to previous 1.7 , to selected 1.30
Added a PHP_EXT_S to aid packages with bundled extensions


Revision 1.7 - (view) (download) (annotate) - [select for diffs]
Sun Jan 9 00:05:10 2011 UTC (3 years, 6 months ago) by robbat2
Branch: MAIN
Changes since 1.6: +10 -2 lines
Diff to previous 1.6 , to selected 1.30
Implement PHP_EXT_OPTIONAL_USE as a way to make the PHP dependency optional for bug #351098: Supports prevents packages USE=-php bringing in PHP when they do not need it.


Revision 1.6 - (view) (download) (annotate) - [select for diffs]
Mon Dec 27 22:19:51 2010 UTC (3 years, 6 months ago) by darkside
Branch: MAIN
Changes since 1.5: +8 -8 lines
Diff to previous 1.5 , to selected 1.30
whitespace and typo fix


Revision 1.5 - (view) (download) (annotate) - [select for diffs]
Wed Nov 3 22:47:19 2010 UTC (3 years, 8 months ago) by olemarkus
Branch: MAIN
Changes since 1.4: +6 -5 lines
Diff to previous 1.4 , to selected 1.30
Fixed issues with zend_extension as well as removed dep on depend.php


Revision 1.4 - (view) (download) (annotate) - [select for diffs]
Tue Nov 2 21:46:05 2010 UTC (3 years, 8 months ago) by olemarkus
Branch: MAIN
Changes since 1.3: +19 -13 lines
Diff to previous 1.3 , to selected 1.30
Added an src_prepare that fits better with EAPI=2


Revision 1.3 - (view) (download) (annotate) - [select for diffs]
Tue Nov 2 17:09:56 2010 UTC (3 years, 8 months ago) by olemarkus
Branch: MAIN
Changes since 1.2: +45 -44 lines
Diff to previous 1.2 , to selected 1.30
Cleanup of eclass. Also added depend.php back in as it is still required for some parts


Revision 1.2 - (view) (download) (annotate) - [select for diffs]
Wed Oct 6 19:58:45 2010 UTC (3 years, 9 months ago) by olemarkus
Branch: MAIN
Changes since 1.1: +4 -6 lines
Diff to previous 1.1 , to selected 1.30
Added die to emake test in php-ext-pecl-


Revision 1.1 - (view) (download) (annotate) - [select for diffs]
Wed Oct 6 08:25:51 2010 UTC (3 years, 9 months ago) by olemarkus
Branch: MAIN
Diff to selected 1.30
Added eclasses required for minor version slotting of PHP
Changed php-ext-base-r1 to require dev-lang/php:5 to prevent mixing of
old-style slotting and new-style


This form allows you to request diffs between any two revisions of this file. For each of the two "sides" of the diff, select a symbolic revision name using the selection box, or choose 'Use Text Field' and enter a numeric revision.

  Diffs between and
  Type of Diff should be a

Sort log by:

Sticky Tag:

  ViewVC Help
Powered by ViewVC 1.1.20